### Method

# Foundry BuildPipeline query

since: 1.1

#### Declaration [src]

    DexFuture*
    foundry_build_pipeline_query (
      FoundryBuildPipeline* self
    )

#### Description [src]

Query information about the state of all stages in the pipeline and update as necessary. This method calls `foundry_build_stage_query()` for each stage in parallel and resolves when all queries are complete.

Available since: 1.1

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves when all stage queries have completed or rejects with an error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.